const n = require("fs").readFileSync("/dev/stdin").toString().split("\n").map(Number);
const a = n[1]%10;
const b = (n[1]%100 - a)/10;
const c = (n[1]%1000-n[1]%100)/100;
console.log(n[0]*a,n[0]*b,n[0]*c,n[0]*n[1]);
